#!/usr/bin/env python3

def man_dist(tup):
    return sum(map(abs, tup))

import sys
import re
pattern = re.compile(r"<([0-9-]*),([0-9-]*),([0-9-]*)>")
data = [[(int(c[0]), int(c[1]), int(c[2])) for c in p] for p in [pattern.findall(l.strip()) for l in sys.stdin.readlines()]]

def update_particle(p):
    return (
        tuple(map(sum, zip(p[0], p[1]))),
        tuple(map(sum, zip(p[1], p[2]))),
        p[2],
    )

while True:
    data = list(map(update_particle, data))

    min_dist, min_p = None, None
    for i, particle in enumerate(data):
        md = man_dist(particle[0])
        if min_p is None or md < min_dist:
            min_p, min_dist = i, md
    print(min_p)
